JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.mbeans

## Class JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

- java.lang.Object
- - javax.rmi.ssl.SslRMIServerSocketFactory
  - - org.apache.catalina.mbeans.JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

- All Implemented Interfaces:
    java.rmi.server.RMIServerSocketFactory
  Enclosing class:
    JmxRemoteLifecycleListener

      public static class JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory
      extends javax.rmi.ssl.SslRMIServerSocketFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SslRmiServerBindSocketFactory(javax.net.ssl.SSLContext sslContext, java.lang.String[] enabledCipherSuites, java.lang.String[] enabledProtocols, boolean needClientAuth, java.lang.String address)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.ServerSocket` | `createServerSocket(int port)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class javax.rmi.ssl.SslRMIServerSocketFactory

      `getEnabledCipherSuites, getEnabledProtocols, getNeedClientAuth`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SslRmiServerBindSocketFactory

          public SslRmiServerBindSocketFactory(javax.net.ssl.SSLContext sslContext,
                                               java.lang.String[] enabledCipherSuites,
                                               java.lang.String[] enabledProtocols,
                                               boolean needClientAuth,
                                               java.lang.String address)

  - ### Method Detail

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
      Overrides:
        `createServerSocket` in class `javax.rmi.ssl.SslRMIServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `javax.rmi.ssl.SslRMIServerSocketFactory`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `javax.rmi.ssl.SslRMIServerSocketFactory`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.